%global git_commit 8a3ca9e
%global cluster jruby

# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}
%define with_maven 1

Name:           jcodings
Version:        1.0.2
Release:        %mkrel 5
Summary:        Java-based codings helper classes for Joni and JRuby

Group:          Development/Java 
License:        MIT
URL:            http://github.com/%{cluster}/%{name}
Source0:        %{url}/tarball/%{version}/%{cluster}-%{name}-%{git_commit}.tar.gz

BuildArch:      noarch

%if !%with_maven
BuildRequires:  ant
%else
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-source-plugin
%endif
BuildRequires:  java-devel
BuildRequires:  jpackage-utils

Requires:       java
Requires:       jpackage-utils

%description
Java-based codings helper classes for Joni and JRuby.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Java-based codings helper classes for Joni and JRuby.

This package contains javadoc for %{name}.
%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
echo "See %{url} for more info about the %{name} project." > README.txt

%if %with_maven

  mvn-rpmbuild -e \
    -Dmaven.test.skip=true \
    install javadoc:javadoc

%else

%{ant}

%endif


%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_javadir}

%__cp -p target/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

pushd %{buildroot}%{_javadir}/
  %__ln_s %{name}-%{version}.jar %{name}.jar
popd

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.jruby.jcodings jcodings %{version} JPP jcodings
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-jcodings.pom

%if %with_maven
mkdir -p %{buildroot}%{_javadocdir}/jcodings-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/jcodings-%{version}
ln -s jcodings-%{version} %{buildroot}%{_javadocdir}/jcodings
%endif


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt

%if %with_maven
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/jcodings-%{version}
%{_javadocdir}/jcodings
%endif



%changelog

* Thu Nov 03 2011 gil <gil> 1.0.2-5.mga2
+ Revision: 162497
- re add m2 pom

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.2-4.mga1
+ Revision: 92536
- Rebuild after bootstrapping
- imported package jcodings


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 09 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.2-2
- Fix the clean up code in the prep section
- Fix typo
- Save changelog

* Thu Jan 28 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 1.0.2-1
- 1.0.2
- Remove gcj bits
- New URL
- Update summary and description
- Use macros in all sections of the spec
- Add README.txt generated on the fly

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Conrad Meyer <konrad@tylerc.org> - 1.0.1-1
- Bump to 1.0.1 for jruby 1.1.6.

* Wed Dec 17 2008 Conrad Meyer <konrad@tylerc.org> - 1.0-2
- Add gcj bits.

* Fri Nov 28 2008 Conrad Meyer <konrad@tylerc.org> - 1.0-1
- Initial package (needed for jruby 1.1.5 and joni 1.1.1).
